HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetPaymentMethods

Contains the different functions to run the operation getPaymentMethods

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetPaymentMethods.hs
valuegetPaymentMethods
  1. :: MonadHTTP m
  2. => GetPaymentMethodsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetPaymentMethodsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/payment_methods

<p>Returns a list of PaymentMethods attached to the StripeAccount. For listing a customer’s payment methods, you should use <a href="/docs/api/payment_methods/customer_list">List a Customer’s PaymentMethods</a></p>

Defines the object schema located at paths./v1/payment_methods.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_methods.GET.parameters.properties.queryType in the specification.

Represents the parameter named 'type'

A required filter on the list, based on the object `type` field.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getPaymentMethods.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetPaymentMethodsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/payment_methods.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON